## libfli 2.0

=== debian/changelog ===
libfli (2.0-2) unstable; urgency=medium

  * upload sources
  * debian/control: move to debian-astro
  * debian/control: improve description

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 12 Dec 2021 22:30:07 +0100

libfli (2.0-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 09 Dec 2021 18:30:07 +0100
