## libfli 2.0+20220607003743

=== debian/changelog ===
libfli (2.0+20220607003743-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Jun 2022 00:37:54 +0000
