=== debian/changelog ===
libfli (2.0+20221221182632-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113150)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:43:25 +0200

libfli (2.0+20221221182632-2) unstable; urgency=medium

  * Delegate placement of udev files to pkg-config data
    (Thanks to Chris Hofstaedtler for the patch, Closes: #1057803)
  * debian/control: bump standard to 3.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 12 Jul 2024 18:27:47 +0200

libfli (2.0+20221221182632-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 2.0

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 21 Dec 2022 18:27:47 +0000
