=== debian/control ===
Source: libfli
Section: libs
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libindi-dev
	, pkg-config
	, systemd-dev
Standards-Version: 4.7.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libfli
Vcs-Git: https://salsa.debian.org/debian-astro-team/libfli.git

Package: libfli2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: library for Finger Lakes Instrument hardware
 This package contains a library for Finger Lakes Instrument hardware.
 It can be used by applications to control FLI CCDs and filter wheels.

Package: libfli-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libfli2 (= ${binary:Version})
Description: library for Finger Lakes Instrument hardware - development files
 This package contains a library for Finger Lakes Instrument hardware.
 It can be used by applications to control FLI CCDs and filter wheels.
 .
 This package contains files for development.
