=== debian/rules ===
#!/usr/bin/make -f
export deb_udevdir = $(shell pkg-config --variable=udevdir udev | sed s,^/,,)

%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- -DUDEVRULES_INSTALL_DIR=/$(deb_udevdir)/rules.d
